Skip to main content
POST
/
connect
/
v1
/
operators
/
{operatorId}
/
provider-registrations
/
{registrationId}
/
revalidate
Revalidate a provider registration
curl --request POST \
  --url https://api.voyant.travel/connect/v1/operators/{operatorId}/provider-registrations/{registrationId}/revalidate \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "operatorId": "<string>",
  "provider": {
    "key": "<string>",
    "name": "<string>"
  },
  "status": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "scope": {},
  "allowedMarkets": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

operatorId
string
required

Operator id.

registrationId
string
required

Response

200 - application/json

Revalidated registration.

id
string
required
operatorId
string
required
provider
object
required
status
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
scope
object
allowedMarkets
string[] | null